This patch adds an "TopLeft head" option to the head menu of toolbar/slit.
    Tomas Janousek <tomi@nomi.cz>

Index: src/Slit.cc
===================================================================
--- src/Slit.cc	(revision 4723)
+++ src/Slit.cc	(working copy)
@@ -807,6 +807,8 @@
 
     if (screen().hasXinerama()) {
         int head = *m_rc_on_head;
+	if (head == -1)
+	    head = screen().getHead(0, 0);
         head_x = screen().getHeadX(head);
         head_y = screen().getHeadY(head);
         head_w = screen().getHeadWidth(head);
Index: src/Xinerama.hh
===================================================================
--- src/Xinerama.hh	(revision 4723)
+++ src/Xinerama.hh	(working copy)
@@ -97,6 +97,8 @@
     }
     // TODO: nls
     insert(new XineramaHeadMenuItem<ItemType>(
+               "TopLeft Head", m_object, -1, saverc_cmd));
+    insert(new XineramaHeadMenuItem<ItemType>(
                "All Heads", m_object, 0, saverc_cmd));
     updateMenu();
 }
Index: src/Screen.cc
===================================================================
--- src/Screen.cc	(revision 4723)
+++ src/Screen.cc	(working copy)
@@ -1459,6 +1463,9 @@
 }
 
 Strut *BScreen::requestStrut(int head, int left, int right, int top, int bottom) {
+    if (head == -1)
+	head = getHead(0, 0);
+
     if (head > numHeads() && head != 1) {
         // head does not exist (if head == 1, then numHeads() == 0,
         // which means no xinerama, but there's a head after all
Index: src/Toolbar.cc
===================================================================
--- src/Toolbar.cc	(revision 4723)
+++ src/Toolbar.cc	(working copy)
@@ -634,6 +634,8 @@
 
     if (screen().hasXinerama()) {
         int head = *m_rc_on_head;
+	if (head == -1)
+	    head = screen().getHead(0, 0);
         head_x = screen().getHeadX(head);
         head_y = screen().getHeadY(head);
         head_w = screen().getHeadWidth(head);
